#!/usr/local/bin/perl -w

@a = (6 .. 10);
@b = (1 .. 5);

      ($ref_first, $ref_second) = order_by_means(\@b, \@a);
      print("First: @$ref_first\n");
      print("Second: @$ref_second\n");



     sub order_by_means {

         my($ref_a) = $_[0];
         my($ref_b) = $_[1];

         my($mean_a) = calc_mean($ref_a);
         my($mean_b) = calc_mean($ref_b);

         if ($mean_a > $mean_b) {
           return ($ref_b, $ref_a);
         }
         else {
           return ($ref_a, $ref_b);
         }
     }


     sub calc_mean {

         my($ref_array) = $_[0];

         my($sum) = 0;

         if ( @$ref_array == 0 ) {
	     return 0;
         }

         foreach $elem (@$ref_array) {

           $sum += $elem;

         }

         return ( $sum / @$ref_array ) ;

     }
 

